<?php

if (!defined('TYPO3_MODE')) {
	die('Access denied.');
}

// activate the RTE by default
if (!$GLOBALS['TYPO3_CONF_VARS']['BE']['RTEenabled']) {
	$GLOBALS['TYPO3_CONF_VARS']['BE']['RTEenabled'] = 1;
}

// RTE registration
$GLOBALS['TYPO3_CONF_VARS']['BE']['RTE_reg']['tinymce'] = array(
	'objRef' => 'SGalinski\Tinymce4Rte\Editors\RteBase'
);

// load default PageTS config
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
	'<INCLUDE_TYPOSCRIPT: source="FILE:EXT:tinymce4_rte/Configuration/TypoScript/pageTSConfig.ts">'
);

// load default userTS config
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addUserTSConfig(
	'<INCLUDE_TYPOSCRIPT: source="FILE:EXT:tinymce4_rte/Configuration/TypoScript/userTSConfig.ts">'
);

// load default typoscript config
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript(
	'tinymce4_rte', 'setup',
	'<INCLUDE_TYPOSCRIPT: source="FILE:EXT:tinymce4_rte/Configuration/TypoScript/ImageRendering/setup.ts">', 43
);

// Add processing of soft references on image tags in RTE content
require_once \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('tinymce4_rte') .
	'Configuration/Hooks/SoftRef/ext_localconf.php';

?>